#include "CivProjInpBuilder.h"
#include "CivProjInpDbHelper.h"

CivProjInpBuilder::CivProjInpBuilder(const std::string& uri)
	:CivInpBuilder(uri)
{
	mHelper = new CivProjInpDbHelper(uri);
}

CivProjInpBuilder::~CivProjInpBuilder()
{

}
void CivProjInpBuilder::buildNode()
{

}

void CivProjInpBuilder::buildPipe()
{

}

void CivProjInpBuilder::buildTank()
{

}

void CivProjInpBuilder::buildVavle()
{

}

void CivProjInpBuilder::buildPump()
{

}

void CivProjInpBuilder::buildReservoir()
{

}

void CivProjInpBuilder::buildEmitter()
{

}

void CivProjInpBuilder::buildPatterns()
{

}

void CivProjInpBuilder::buildCoordnates()
{

}

void CivProjInpBuilder::buildVertices()
{

}

void CivProjInpBuilder::buildLabels()
{

}

void CivProjInpBuilder::buildTags()
{

}

void CivProjInpBuilder::buildBackDrop()
{

}

void CivProjInpBuilder::buildQuality()
{

}

void CivProjInpBuilder::buildSources()
{

}

void CivProjInpBuilder::buildMixing()
{

}

void CivProjInpBuilder::buildCurves()
{

}

void CivProjInpBuilder::buildStatus()
{

}

void CivProjInpBuilder::buildControls()
{

}

void CivProjInpBuilder::buildRules()
{

}

void CivProjInpBuilder::buildDemands()
{

}

void CivProjInpBuilder::setProjCode(const std::string& projCode)
{
	mProjCode = projCode;
}
